
#ifndef __PFC_H_
#define __PFC_H_

typedef struct
{
  int16   IacOffset;       // Iac的偏置电压
  int32   IacOffsetSum;    // Iac的偏置电压总和
  int16   OffsetCount;     // 偏置计数
  int8    OffsetFlag;      // 偏置电压结束标志位    
  int8    OverVoltFlag;    // 过压保护标志位
  int16   UDCREFValue;     // Udc的给定值的变量
	int16   UDCREF_RED;     // Udc的给定值的变量
  int16   IACOUTMax;       // Iacout的最大值
  int16   UDCOUTMax;       // Udcout的最大值
  uint16  PFCKMREFValue;
	uint16  KmSetValue_add;
	uint8   KmSetValue_Slect; 

}PFCValue;


extern uint16 xdata Power_Currt ;
extern uint16 PFCoffsetflag,PFCoffset;
extern uint16 PFC_UDCREF_GET;

extern PFCValue  PFCSet;
extern void PFC_init(void);
extern void PFC_start(void);
extern void GetPFCCurrentOffset(void);
extern void PFCVoltageRespone(void);
extern void PFCRunResponse(void);
extern void  PFC_Control(void);
extern void  PFC_OFF_Voltage(void);
extern void PFC_ONOFF(void);
extern void  PFC_GetPFCCurrentOffset_ONOFF(void);
extern void PI_CLEAR(void);
extern void PFC_main(void);
extern void PFC_timer1ms(void);
#endif